package com.lantone.daqe.enums;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 是否必填注解
 * @author: zhanghang
 * @time: 2022/3/11 16:03
 */
public enum NonnullStatusEnum {
    NOT_NONNULL("0", "否"),
    IS_NONNULL("1", "是");

    @Getter
    @Setter
    private String key;

    @Getter
    @Setter
    private String name;

    NonnullStatusEnum(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public static NonnullStatusEnum getEnum(String key) {
        for (NonnullStatusEnum item : NonnullStatusEnum.values()) {
            if (item.key.equals(key)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(String key) {
        NonnullStatusEnum item = getEnum(key);
        return item != null ? item.name : null;
    }
}
